All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
lu.hpp File Reference

Implementations of LU factorization for row-major and column-major dense matrices. More...

`#include <algorithm>`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/matrix_proxy.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename NumericT >
void | viennacl::linalg::lu_factorize (matrix< NumericT, viennacl::row_major > &A)
| LU factorization of a row-major dense matrix. More...
template<typename NumericT >
void | viennacl::linalg::lu_factorize (matrix< NumericT, viennacl::column_major > &A)
| LU factorization of a column-major dense matrix. More...
template<typename NumericT , typename F1 , typename F2 , unsigned int AlignmentV1, unsigned int AlignmentV2>
void | viennacl::linalg::lu_substitute (matrix< NumericT, F1, AlignmentV1 > const &A, matrix< NumericT, F2, AlignmentV2 > &B)
| LU substitution for the system LU = rhs. More...
template<typename NumericT , typename F , unsigned int MatAlignmentV, unsigned int VecAlignmentV>
void | viennacl::linalg::lu_substitute (matrix< NumericT, F, MatAlignmentV > const &A, vector< NumericT, VecAlignmentV > &vec)
| LU substitution for the system LU = rhs. More...

## Detailed Description

Implementations of LU factorization for row-major and column-major dense matrices.

Definition in file lu.hpp.